unit Z1403;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TDicEdit = class(TForm)
    WordList: TListBox;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  DicEdit: TDicEdit;

implementation

uses Z1401, Z1404;
{$R *.DFM}

procedure TDicEdit.FormShow(Sender: TObject);
begin
 WordList.Items := Words;
end;

procedure TDicEdit.Button1Click(Sender: TObject);
begin
 if AddWordForm.ShowModal=mrOK then
 WordList.Items.Add(AddWordForm.WordEdit.Text);
end;

procedure TDicEdit.Button2Click(Sender: TObject);
begin
 WordList.Sorted := True;
end;

procedure TDicEdit.Button3Click(Sender: TObject);
var
 Counter: Integer;
begin
 DeleteFile(GetCurrentDir + '\' + dictName);
 Words.Clear;
 for Counter := 0 to (WordList.Items.Count-1) do
 Words.Add(WordList.Items.Strings[Counter]);
 Words.SaveToFile(GetCurrentDir + '\' + dictName);
end;

end.
